Live 9.5

Discussion of music production, audio, equipment and any related topics, either with or without Ableton Live
Stromkraft
Posts: 7033
Joined: Wed Jun 25, 2014 11:34 am

Re: Live 9.5

Post by Stromkraft » Fri Nov 06, 2015 9:27 am

oddstep wrote:
solovox wrote:For those of you that agree Ableton needs to give users the option of having clip colors automatically all be the same as a track, please VOTE here:

viewtopic.php?f=1&t=218233&start=0
i'd rather they focussed developer time on making sampler as good as simpler and opening up the audio clip to simpler conversion api call to non-push users.
yeah, but the priority is in the hands of Ableton staff and totally unnecessary for us to speculate in. Software is not a command economy. I'd think it's safe to say Sampler development is already under way. Make Sampler as good as Simpler is way too low to aim.
Make some music!

oddstep
Posts: 1732
Joined: Tue Feb 12, 2008 9:47 pm
Location: Plymouth the great

Re: Live 9.5

Post by oddstep » Fri Nov 06, 2015 9:42 am

agreed

Stromkraft
Posts: 7033
Joined: Wed Jun 25, 2014 11:34 am

Re: Live 9.5

Post by Stromkraft » Fri Nov 06, 2015 11:27 am

oddstep wrote:agreed
That said, suggesting to Ableton ideas you have I think is welcomed, especially if you have well thought out ideas that brings value and that you can explain well.
Make some music!

pskept
Posts: 86
Joined: Thu Nov 12, 2009 3:58 pm
Location: here now

Re: Live 9.5

Post by pskept » Fri Nov 06, 2015 3:38 pm

Tarekith wrote:Are you using the latest version of Max? Do you have java installed?
hey could you elaborate or why you are asking about java or point me in a direction to do my own reading? thanks.

tldr max 6 + new synth = crash, max 7 + new synth = no crash

i just got 9.5 installed last night so I've not taken it for enough of a drive to give a solid report but I can say that I have been avoiding max 7 because it makes my audio sound like farts and glitches and if I switch back to using max 6 it is fart free. However, last night when I popped in one of the new synths from the new max essentials packed live crashed immediately. I checked the max path and it was pointing at 6. I switched it to max 7 and the synth worked. Couldn't play long enough to see if it was fart sound free or not because my SSD started to fail :(

Tarekith
Posts: 17601
Joined: Fri Jan 07, 2005 11:46 pm
Location: Ableton Forum Administrator
Contact:

Re: Live 9.5

Post by Tarekith » Fri Nov 06, 2015 3:52 pm

Max needs Java to work, and the new M4L plug ins need Max 7, that's why I asked.

beats me
Posts: 23319
Joined: Fri Mar 30, 2007 6:39 pm

Re: Live 9.5

Post by beats me » Fri Nov 06, 2015 3:56 pm

I’m assuming this is a great time to upgrade to 9, possibly with a holiday discount soon. Not so much for the new features as much as they probably aren’t going to drop 10 in the near future and then the inevitable “I just bought 9 and now they want me to pay more for 10!!!!” whining.

Stromkraft
Posts: 7033
Joined: Wed Jun 25, 2014 11:34 am

Re: Live 9.5

Post by Stromkraft » Fri Nov 06, 2015 7:18 pm

Tarekith wrote:Max needs Java to work
While that is true in practice, Java is not needed for Max itself to work. The dependency exists because some devices could peruse Java byte code and Cycling74 at some point decided to handle that possible dependency on a Java Virtual Machine this way.

I have already pointed out to Cycling74, around when Max 7 was released, that not listing Java as a requirement is very odd. I received an informative answer, but it will probably be a while before this Java business changes.

Meanwhile the Java Virtual Machine is very common in server environments, also for other programming languages and frameworks.

It won't go away any time soon there, but Cycling74 need to at some point make Java optional only to use for those devices that actually need it. Fluid music or whatever it's called needs it for example.
Last edited by Stromkraft on Fri Nov 13, 2015 4:22 pm, edited 2 times in total.
Make some music!

stringtapper
Posts: 6276
Joined: Sat Aug 28, 2004 6:21 pm

Re: Live 9.5

Post by stringtapper » Fri Nov 06, 2015 7:53 pm

Stromkraft wrote:
Tarekith wrote:Max needs Java to work
While that is true in practice, Java is not needed for Max itself to work. The dependency exists because some devices could peruse Java byte code and Cycling74 at some point decided to handle that possible dependency on a Java Virtual Machine this way.

I have already pointed out to Cycling74, around when Max 7 was released, that not listing Java as a requirement is very odd. I received a an informative answer, but in the end it will be a while before this Java business will change.

Meanwhile the Java Virtual Machine is very common in server environments, also for other programming languages and frameworks.

It won't go away any time soon there, but Cycling74 need to at some point make Java optional only to use for those devices that actually need it. Fluid music or whatever it's called needs it for example.
It's not just about M4L devices that use it. It's the fact that the [mxj] and [mxj~] objects are and have been a part of Max's object set for some time now. If they were externals that someone had to install themselves then it would make sense to not require Java, but they're not. They're part of the regular Max distribution. [mxj] and [mxj~] would have to become deprecated for this to go away, so I would modify your "won't go away any time soon" to "probably never."
Unsound Designer

Stromkraft
Posts: 7033
Joined: Wed Jun 25, 2014 11:34 am

Re: Live 9.5

Post by Stromkraft » Sat Nov 07, 2015 7:52 pm

stringtapper wrote: It's not just about M4L devices that use it. It's the fact that the [mxj] and [mxj~] objects are and have been a part of Max's object set for some time now. If they were externals that someone had to install themselves then it would make sense to not require Java, but they're not. They're part of the regular Max distribution. [mxj] and [mxj~] would have to become deprecated for this to go away, so I would modify your "won't go away any time soon" to "probably never."
That sounds credible and makes it even stranger to not list Java as a requirement. I also suggested to Cycling74 to consider optionally supplying their own JVM inside the app, which makes much sense on the Mac platform. This is not an uncommon solution.
Make some music!

kitekrazy
Posts: 740
Joined: Sat Jan 16, 2010 7:16 pm

Re: Live 9.5

Post by kitekrazy » Sat Nov 07, 2015 7:57 pm

Stromkraft wrote:
oddstep wrote:
solovox wrote:For those of you that agree Ableton needs to give users the option of having clip colors automatically all be the same as a track, please VOTE here:

viewtopic.php?f=1&t=218233&start=0
i'd rather they focussed developer time on making sampler as good as simpler and opening up the audio clip to simpler conversion api call to non-push users.
yeah, but the priority is in the hands of Ableton staff and totally unnecessary for us to speculate in. Software is not a command economy. I'd think it's safe to say Sampler development is already under way. Make Sampler as good as Simpler is way too low to aim.
Sampler is quite tedious to use compared to Kontakt. Simpler is simpler. I would think the average user prefers Simpler. Sampler requires Live Suite or separate purchase.

pskept
Posts: 86
Joined: Thu Nov 12, 2009 3:58 pm
Location: here now

Re: Live 9.5

Post by pskept » Sat Nov 07, 2015 8:32 pm

Tarekith wrote:Max needs Java to work, and the new M4L plug ins need Max 7, that's why I asked.
thanks. i'm going to go install it now and see if it resolves the one remaining issue i'm having.

Stromkraft
Posts: 7033
Joined: Wed Jun 25, 2014 11:34 am

Re: Live 9.5

Post by Stromkraft » Sat Nov 07, 2015 10:11 pm

kitekrazy wrote: Sampler is quite tedious to use compared to Kontakt.
I couldn't disagree more, but I suppose it depends what your objective is. Mine is quick and effective patches. For more nuanced stuff I'd consider implementing an instrument in Kontakt.
Simpler is good for some stuff, but my next step isn't Kontakt, it's Sampler. I'm not sure the 9.5 Simpler improvements will mean so much for me.
Make some music!

pskept
Posts: 86
Joined: Thu Nov 12, 2009 3:58 pm
Location: here now

Re: Live 9.5

Post by pskept » Fri Nov 13, 2015 1:34 pm

pskept wrote:
Tarekith wrote:Max needs Java to work, and the new M4L plug ins need Max 7, that's why I asked.
thanks. i'm going to go install it now and see if it resolves the one remaining issue i'm having.
still lots of glitches and stutters with sound when using max 7. for some reason i just can't use it. everything works fine with 9.5 and 6.

Stromkraft
Posts: 7033
Joined: Wed Jun 25, 2014 11:34 am

Lower latency in Live 9.5?

Post by Stromkraft » Sat Nov 14, 2015 11:22 pm

Anyone else noticed possibility to lower latency in your audio interface with 9.5?

I used to have to stay at 256 samples with my RME Babyface on a 2.66 Core2Duo. Now I can do 128 for quite a while. I can do mixdowns at 256, where I had to go 512 before. All of this varies a bit, but this is a general trend with 9.5 in OS X 10.9.

Reaktor seem to offset this a bit, but increasing latency seldom helps for that. I suspect a NI issue, but have too little data so far.
Make some music!

LFO8
Posts: 333
Joined: Fri May 01, 2009 7:12 pm

Re: Lower latency in Live 9.5?

Post by LFO8 » Sun Nov 15, 2015 9:21 am

Stromkraft wrote:Anyone else noticed possibility to lower latency in your audio interface with 9.5?

I used to have to stay at 256 samples with my RME Babyface on a 2.66 Core2Duo. Now I can do 128 for quite a while. I can do mixdowns at 256, where I had to go 512 before. All of this varies a bit, but this is a general trend with 9.5 in OS X 10.9.

Reaktor seem to offset this a bit, but increasing latency seldom helps for that. I suspect a NI issue, but have too little data so far.

Yes. I also have a Babyface and I can stay at 64 samples during songwriting for quite a while now. I keep sessions at 44.1Khz

Post Reply